#!/usr/bin/perl

###########################################
## PerlCrumbs 1.3                        ##
## Written by Janis E. Kenderdine        ##
## http://www.fifedrum.org/fifer         ##
## Version 1.0: January 16, 2005         ##
## Version 1.1: August 29, 2005          ##
## Version 1.2: February 12, 2006        ##
## Version 1.3: April 11, 2006           ##
###########################################

## Version 1.0 - Released
## Version 1.1 - Fixed spelling errors (I can't spell "separate")
## Version 1.2 - Added "target" option for frames & index page variable
## Version 1.3 - Added no-final-separator option for index pages w/ no 
##               title

#############CUSTOMIZE HERE ###############

## Uncomment this if your home directory is
## http://www.yourdomain.com/ (the site root)
## and give the home directory a display name
#$homedir = "Home";

## Separator you want to use between directories
$dirseparator = ' &gt; ';

## Uncomment this and apply any classes, id's, or targets
## that need to go within the <a href> tag
#$hrefargs = 'class="menu" id="whatever" target="_blank"';

## Uncomment this and apply default pages for directories
## (Most people are best leaving this commented & using
## "index" as their default directory page)
#$defaultindex = 'home.html';

## You must have a "directoryname, displayname"
## pair for each directory, or it won't show up.
%sitemap = (	fifer, "Home",
		diet, "Diet",
		news, "News",
		perl, "Perl",
		misc, "Miscellaneous");

## Comment this out (put a # in front of $finalseparator = $dirseparator
## if you don't want to put in a title for index.(s)html 
## pages
## i.e.
## Home > Documents
## instead of:
## Home > Documents >

#$finalseparator = $dirseparator;

################### STOP ##################
##Nothing below needs to be touched
			
print "content-type:text/html\n\n";		
$dirpath = $ENV{'REQUEST_URI'};
$dirpath =~ s/\///;
@fullpath = split(/\//, $dirpath);
$numdirs = @fullpath;
if ($homedir ne "") { print "<a href=\"\/\" $hrefargs>$homedir</a> $dirseparator "; }
if ($dirpath =~ /\.shtml/) { $numdirs--; }
for($x=0; $x<$numdirs; $x++)
{
 if (defined $sitemap{$fullpath[$x]}) { 
   print "<a href=\"$pathdir/$fullpath[$x]/$defaultindex\" $hrefargs>$sitemap{$fullpath[$x]}</a>";
   if (($dirpath =~ /index/) || ($dirpath !~ /\./)) {
     if (($x+1) < $numdirs) { print " $dirseparator "; }
     else { print " $finalseparator "; }
   }
   else {
     print " $dirseparator ";
   }
 }
 $pathdir .= "/$fullpath[$x]";
}

exit;
